function tuneint1()
[g,h]=gcbo;
h1=findobj(h,'Tag','K');
h2=findobj(h,'Tag','PV');
h3=findobj(h,'Tag','Delay');
h4=findobj(h,'Tag','CV');
hrule=findobj(h,'Tag','Rule');
%hnoise=findobj(h,'Tag','Noise');
hcontrol=findobj(h,'Tag','Control');

hkc=findobj(h,'Tag','Kc');
htaui=findobj(h,'Tag','Taui');
htaud=findobj(h,'Tag','Taud');
halpha=findobj(h,'Tag','Alpha');
hgraph=findobj(h,'Tag','Graph');

K=str2num(get(h1,'String'));
PV=str2num(get(h2,'String'));
theta=str2num(get(h3,'String'));
CV=str2num(get(h4,'String'));
rule=get(hrule,'Value');
%noise=get(hnoise,'Value');
control=get(hcontrol,'Value');
noise=1.0;
switch rule,
case 1
   %Chien and Freuhauf rule
   Kc=(5/(PV(1)-PV(2)))*((CV(1)-CV(2))); %modify this rule
   Kc=Kc*control;
   taui=2*(1+sqrt(1/(Kc*K)*(Kc*K)-theta*Kc*K))/(Kc*K)-theta;
   taud=0;
   alpha=0;
case 2
   zeta=1-control;
   Kc=(5/(PV(1)-PV(2)))*((CV(1)-CV(2)));% get Kc
   taui=(4*zeta*zeta)/(Kc*K); %get taui
   taud=0; % taud
   alpha=0; % filter time constant
end
if (noise==1)
   taud=0;
end,
if (alpha>taud)
   alpha=0;
   taud=0;
end
set(hkc,'String',num2str(Kc));
set(htaui,'String',num2str(taui));
set(htaud,'String',num2str(taud));
set(halpha,'String',num2str(alpha));
%plot closed loop response
num1=[0 K];
den1=[1 0];
[num2,den2]=pade(theta,5);
nump=conv(num1,num2);
denp=conv(den1,den2);
sysp=tf(nump,denp);
numc=Kc*([taui*taud*(1+alpha) taui+alpha*taud 1]);
denc=[alpha*taui*taud taui 0];
sysc= tf(numc,denc); %put controller transfer function here
syscl=feedback(series(sysc,sysp),1);
sysco=feedback(sysc,sysp);
[y,t]=step(syscl);
[c,t]=step(sysco,t);
plot(t,y,'b-',t,c,'r--');
grid on;
xlabel('Time');
ylabel('PV(blue)/CO(red)');

