% Check if first order system
function responsefopdt()
[g,h]=gcbo;
h1=findobj(h,'Tag','K');
h2=findobj(h,'Tag','Tau');
h3=findobj(h,'Tag','Delay');
hrule=findobj(h,'Tag','Rule');
hnoise=findobj(h,'Tag','Noise');
hkc=findobj(h,'Tag','Kc');
htaui=findobj(h,'Tag','Taui');
htaud=findobj(h,'Tag','Taud');
halpha=findobj(h,'Tag','Alpha');
hts=findobj(h,'Tag','Ts');
hgraph=findobj(h,'Tag','Graph');
hcontrol=findobj(h,'Tag','Control');

K=str2num(get(h1,'String'));
tau=str2num(get(h2,'String'));
Kc=str2num(get(hkc,'String'));
taui=str2num(get(htaui,'String'));
taud=str2num(get(htaud,'String'));
alpha=str2num(get(halpha,'String'));

theta=str2num(get(h3,'String'));
ts=str2num(get(hts,'String'));
rule=get(hrule,'Value');
noise=get(hnoise,'Value');
control=get(hcontrol,'Value');
%get closed loop response
num1=[0 K];
den1=[tau 1];
[num2,den2]=pade(theta,5);
nump=conv(num1,num2);
denp=conv(den1,den2);
sysp=tf(nump,denp);
numc=Kc*([taui*taud*(1+alpha) taui+alpha*taud 1]);
denc=[alpha*taui*taud taui 0];
sysc= tf(numc,denc); %put controller transfer function here
syscl=feedback(series(sysc,sysp),1);
sysco=feedback(sysc,sysp);
[y,t]=step(syscl);
[c,t]=step(sysco,t);
plot(t,y,'b-',t,c,'r--');
grid on;
xlabel('Time');
ylabel('PV(blue)/CO(red)');

